Package org.stianloader.micromixin.transform.internal

## Class HandlerContextHelper

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.HandlerContextHelper

    public class HandlerContextHelper
    extends java.lang.Object

### Field Summary

Fields
`MultiplexLineNumberAllocator` `lineAllocator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HandlerContextHelper` `from​(org.objectweb.asm.tree.ClassNode node)`
`java.lang.String` `generateUniqueLocalPrefix()` Generate a unique prefix for a mixin handler method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lineAllocator

    @NotNull
    public final MultiplexLineNumberAllocator lineAllocator

### Method Detail

#### from

    @NotNull
    public static HandlerContextHelper from​(@NotNull
                                            org.objectweb.asm.tree.ClassNode node)

#### generateUniqueLocalPrefix

    @NotNull
    public java.lang.String generateUniqueLocalPrefix()

Generate a unique prefix for a mixin handler method. This prefix contains a trailing "$"

The intention of this prefix is to prevent multiple mixins defining mixin handlers with the same name causing classes to be transformed invalidly.

Returns:
  A unique prefix applied on the mixin handler method that is copied to the target (transformed) class.